package glavniPaket;
class Zaposleni
{
	String imeRadnika;
	static double plata;
	boolean bonus;
	static double koef=200;
	Zaposleni(String ime,boolean bonus)
	{
		imeRadnika=ime;
		this.bonus=bonus;
	}
	public static void izracunajPlatu(double brSati)
	{
		plata=brSati*koef;
	}
	String getName()
	{
		return imeRadnika;
	}
	double getPlata()
	{
		return plata;
	}
	boolean getBonus()
	{
		return bonus;
	}
	void setName(String ime)
	{
		this.imeRadnika=ime;
	}
	void setBonus(boolean bonus)
	{
		this.bonus=bonus;
	}
	void setPlata(double plata)
	{
		this.plata = plata; 
	}
	public String toString()
	{
		return imeRadnika+" : "+imeRadnika.getClass()+"\n+"
			   ;
	}
}
class KancelarijskiRadnik extends Zaposleni
{
	String straniJezik;
	KancelarijskiRadnik(String ime,String jezik)
	{
		super(ime,false);
		this.imeRadnika=ime;
		this.straniJezik=jezik;
	}
	public static void izracunajPlatu(int brSati)
	{
		Zaposleni.izracunajPlatu(brSati);
		plata=plata*brSati*120;
	}
	public String toString()
	{
		String b=(this.bonus)?" bonus":" nema bonus";
		return imeRadnika+" : ( "+plata+" , "+b+" )";
	}
	
}
class Menadzer extends Zaposleni
{
	boolean teren;
	Menadzer(String ime,boolean teren,boolean bonus)
	{
		super(ime,bonus);
		this.teren=teren;
	}
	public static void izracunajPlatu(int brSati)
	{
		Zaposleni.izracunajPlatu(brSati);
		plata=plata*brSati*150;
	}
	public String toString()
	{
		String b=(this.bonus)?" DA":" NE";
		return imeRadnika+" : ( "+plata+" , "+b+" )";
	}
}
public class Testna 
{
	public static void main(String[] args) 
	{
		KancelarijskiRadnik r1 = new KancelarijskiRadnik("Marko","Nemacki");
		Menadzer r2 = new Menadzer("Nikola",false,false);
		KancelarijskiRadnik.izracunajPlatu(20);
		Menadzer.izracunajPlatu(15);
		r1.toString();
		r2.toString();
	}
}
